Subject: [RFC PATCH 2/5] arm: omap: remove ocp2scp_usb_phy_ick clock node

From: [email-masked] (Cousson, Benoit)
Date: Fri, 1 Jun 2012 15:24:24 +0200

On 6/1/2012 2:52 PM, ABRAHAM, KISHON VIJAY wrote:
> Hi Benoit,
>
> On Wed, May 30, 2012 at 8:53 PM, Cousson, Benoit<[email-masked]>  wrote:
>> On 5/30/2012 4:51 PM, Shilimkar, Santosh wrote:
>>>
>>> On Wed, May 30, 2012 at 4:26 PM, Kishon Vijay Abraham I<[email-masked]>
>>>   wrote:
>>>>
>>>> "ocp2scp_usb_phy_ick" clock node was a fake clock node created
>>>> to control MODULEMODE of ocp2scp. Since the hwmod for ocp2scp is now
>>>> added
>>>> (which can be used to control MODULEMODE) this clock node is removed.
>>>>
>>>> Cc: Benoit Cousson<[email-masked]>
>>>> Signed-off-by: Kishon Vijay Abraham I<[email-masked]>
>>>> ---
>>>>   arch/arm/mach-omap2/clock44xx_data.c |   11 -----------
>>>
>>>
>>> Have you patched clock44xx_data.c manually or you have a patch for
>>> the clock_data autogen script to generate it ?
>>
>>
>> I have a series that will remove all these clock nodes. I should be able to
>> post that soon.
>>
>> Potentially at that time, Kishon might be able to drop that patch.
>
> Will you be sending a patch for *[RFC PATCH 1/5] arm: omap: hwmod:
> make *phy_48m* as the main_clk of ocp2scp* also or I have to keep that
> as part of my series?

Good point. In fact, I'm fixing both at the same time to avoid any 
bisect issue.

Regards,
Benoit